ControlActionGroupJob (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.server.session.ControlActionGroupJob class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.server.session
Class ControlActionGroupJob

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.BaseJob
          org.hyperic.hq.control.server.session.ControlJob
              org.hyperic.hq.control.server.session.ControlActionGroupJob

All Implemented Interfaces:
  org.quartz.Job

    public class ControlActionGroupJob

extends ControlJob

A quartz job class for handling control actions on a group entity

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from class org.hyperic.hq.control.server.session.ControlJob
`JOB_WAIT_INTERVAL, PROP_ACTION, PROP_ARGS`

Fields inherited from class org.hyperic.hq.scheduler.server.session.BaseJob
`manager, PROP_DESCRIPTION, PROP_ID, PROP_ORDER, PROP_SCHEDULED, PROP_SCHEDULESTRING, PROP_SUBJECT, PROP_TYPE`

Constructor Summary
`ControlActionGroupJob()`

Method Summary
`void` | `executeInSession(org.quartz.JobExecutionContext context)`

Methods inherited from class org.hyperic.hq.control.server.session.ControlJob
`doAgentControlCommand`

Methods inherited from class org.hyperic.hq.scheduler.server.session.BaseJob
`execute, getOrder, getSubject, getSubjectManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### ControlActionGroupJob

    public ControlActionGroupJob()

Method Detail

### executeInSession

    public void executeInSession(org.quartz.JobExecutionContext context)
                          throws org.quartz.JobExecutionException

  Specified by:
    `executeInSession` in class `BaseJob`
  Throws:
    `org.quartz.JobExecutionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.